#
# spec file for package pari
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pari
%define lname	libpari-gmp6
Version:        2.11.0
Release:        0
Summary:        Computer Algebra System for fast computations in Number Theory
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
Url:            http://pari.math.u-bordeaux.fr/

#Git-Clone:	http://pari.math.u-bordeaux.fr/git/pari.git
#Git-Web:	http://pari.math.u-bordeaux.fr/cgi-bin/gitweb.cgi
Source:         http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-%version.tar.gz
Source2:        http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-%version.tar.gz.asc
Source3:        http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-%version.changelog
Patch1:         pari-nodate.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fltk-devel
BuildRequires:  gmp-devel
BuildRequires:  libX11-devel
BuildRequires:  libqt4-devel
BuildRequires:  readline-devel
BuildRequires:  xorg-x11-proto-devel

%description
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%package gp
Summary:        Frontend to the PARI Computer Algebra System
Group:          Productivity/Scientific/Math

%description gp
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%package -n %lname
Summary:        Computer Algebra System library for fast computations in Number Theory
# This is used by the data packages to avoid having a too-old version of libpari:
Group:          System/Libraries
Provides:       libpari-gmp = %version-%release

%description -n %lname
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%package devel
Summary:        Development files for the PARI CAS
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
PARI/GP is a computer algebra system designed for fast computations
in number theory (factorizations, algebraic number theory, elliptic
curves), but also contains a large number of other useful functions
to compute with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of transcendental
functions.

%prep
%setup -q
%patch -p 1 -P 1

%build
./Configure --prefix="%_prefix" \
	--bindir="%_bindir" --includedir="%_includedir" \
	--libdir="%_libdir" \
	--sysdatadir="%_libdir" --datadir="%_datadir/%name";
make %{?_smp_mflags} all \
	CFLAGS="%optflags -fno-strict-aliasing" \
	STRIP=true;

cp "%{S:3}" .;

%install
b="%buildroot";
make install DESTDIR="$b";

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files gp
%defattr(-,root,root)
%_bindir/*
%_datadir/%name
%_libdir/%name.cfg
%_mandir/man*/*
%doc %name-%version.changelog

#
# See
# http://pari.math.u-bordeaux.fr/archives/pari-dev-1211/msg00006.html
# for details on the SO versioning.
#
%files -n %lname
%defattr(-,root,root)
%_libdir/libpari-gmp.so.%version
%_libdir/libpari-gmp.so.6

%files devel
%defattr(-,root,root)
%_includedir/pari
%_libdir/libpari.so

%changelog
